{
  pkgs,
  lib,
  inputs,
  system,
  ...
}:
let
  # List of packages installed in system profile. To search, run:
  # $ nix search wget
  packages = with pkgs; [
    wget
    curl
    git
    hub
    (nnn.override { withNerdIcons = true; })
    fzf
    ripgrep
    fastfetch
    zip
    xz
    unzip
    p7zip
    jq
    yq-go
    eza
    dnsutils
    nmap
    which
    tree
    gnupg
    nix-output-monitor
    glow
    btop
    strace
    ltrace
    lsof
    sysstat
    lm_sensors
    ethtool
    pciutils
    usbutils
    nil
    lazygit
    lazydocker
    bat
    nixfmt-rfc-style
    zenity
    forgejo-runner # for some reason this installs forgejo-runner as act_runner
    imagemagick
    fontforge
    packwiz
    xclip
    starship
    croc
    sops
    ssh-to-age
    busybox
    nix-search
    gh

    python311
    python311Packages.python-lsp-server
    python311Packages.rich
  ];
  flakePackages = with inputs; [ compose2nix.packages.${system}.default ];
in
{
  environment.systemPackages = lib.lists.unique (packages ++ flakePackages);

  # install docker
  virtualisation.docker = {
    enable = true;
  };

  # remove nano
  programs.nano.enable = false;
}
